Setting up xfonts-scalable (1.0.0-6) ...
Invalid string keyword: chassis-type
Valid string keywords are:  bios-vendor  bios-version  bios-release-date  system-manufacturer  system-product-name  system-version  system-serial-number  baseboard-manufacturer  baseboard-product-name  baseboard-version  baseboard-serial-number  baseboard-asset-tag  chassis-manufacturer  chassis-version  chassis-serial-number  chassis-asset-tag  processor-manufacturer  processor-version
usage error: unrecognized option
Usage: update-fonts-dir DIRECTORY ...       update-fonts-dir { -h | --help }
This program is a wrapper for mkfontdir(1x) that is primarily useful to Debian
package maintainer scripts.  See update-fonts-dir(8) for more information.
Options:    -h, --help                               display this usage message and exit
dpkg: error processing xfonts-scalable (--configure): subprocess post-installation script returned error exit status 2
Errors were encountered while processing: xfonts-scalable
E: Sub-process /usr/bin/dpkg returned an error code (1)

Could this error be related:

perl: warning: Setting locale failed.

Attempted fixes:

This completed without a problem:

locale-gen en_US

This also reported the same perl error, but generated a slew of locales:

dpkg-reconfigure locales

This link makes me believe that the error will eventually go away: Locale error - perl: warning: Setting locale failed.

Nope, its still not fixed. Found this tip on how to fix locale errors in ubuntu , but it didn’t work for me either. :-(

I had tried using gutsy gibbons, but now I’m using edgy eft. It appears that a newer version of openoffice was installed that might have been messing things up. I’ve removed it and am now trying a dist-upgrade.

dpkg --configure -a
Setting up libxdmcp6 (1.0.1-1) ...
Setting up x11proto-input-dev (1.3.2-3ubuntu1) ...
Setting up xutils-dev (1.0.2-3ubuntu3) ...
Setting up bzip2 (1.0.3-3) ...
Error in `/usr/share/doc-base/bzip2', line 19: `Index' value missing for format info
dpkg: error processing bzip2 (--configure): subprocess post-installation script returned error exit status 1
Setting up x11proto-video-dev (2.2.2-3ubuntu1) ...
dpkg: dependency problems prevent configuration of synaptic: synaptic depends on libapt-inst-libc6.4-6-1.1; however:  Package libapt-inst-libc6.4-6-1.1 is not installed. synaptic depends on libapt-pkg-libc6.4-6-3.51; however:  Package libapt-pkg-libc6.4-6-3.51 is not installed. synaptic depends on libvte9 (>= 1:0.13.3); however:  Package libvte9 is not installed.
dpkg: error processing synaptic (--configure): dependency problems - leaving unconfigured
Setting up x11proto-kb-dev (1.0.3-0ubuntu1) ...
Setting up libvte-common (0.14.1-0ubuntu1) ...
dpkg: dependency problems prevent configuration of python-vte: python-vte depends on libvte9 (>= 1:0.13.3); however:  Package libvte9 is not installed.
dpkg: error processing python-vte (--configure): dependency problems - leaving unconfigured
Setting up libnewt0.52 (0.52.2-5.1ubuntu1) ...
Setting up xkb-data (0.8-7ubuntu2) ...
Setting up xfonts-encodings (1.0.0-5.1) ...
Setting up x11proto-core-dev (7.0.7-1) ...
Setting up xtrans-dev (1.0.1-1) ...
Setting up fontconfig-config (2.3.2-7ubuntu2) ...
Setting up libice6 (1.0.1-1ubuntu1) ...
Setting up libx11-data (1.0.3-0ubuntu4.1) ...
Setting up libsm6 (1.0.1-1ubuntu1) ...
Setting up xfonts-utils (1.0.0-6ubuntu3) ...
dpkg: dependency problems prevent configuration of xfce4-terminal: xfce4-terminal depends on libvte9 (>= 1:0.13.3); however:  Package libvte9 is not installed.
dpkg: error processing xfce4-terminal (--configure): dependency problems - leaving unconfigured
Setting up libxau6 (1.0.1-1) ...
Setting up libxdmcp-dev (1.0.1-1) ...
Setting up whiptail (0.52.2-5.1ubuntu1) ...
Setting up libfontconfig1 (2.3.2-7ubuntu2) ...
Setting up libice-dev (1.0.1-1ubuntu1) ...
Setting up xfonts-scalable (1.0.0-6) ...
warning: /usr/lib/X11/fonts/Type1 does not exist or is not a directory
warning: /usr/lib/X11/fonts/Type1 does not exist or is not a directory
Updating font configuration of fontconfig...
Cleaning up category cid..
Cleaning up category truetype..
Cleaning up category type1..
Updating category type1..
Updating category truetype..
Updating category cid..
warning: /etc/X11/fonts/X11R7/Type1 does not exist or is not a directory
warning: /usr/lib/X11/fonts/Type1 does not exist or is not a directory
warning: /etc/X11/fonts/X11R7/Type1 does not exist or is not a directory
warning: /usr/lib/X11/fonts/Type1 does not exist or is not a directory
Setting up libxau-dev (1.0.1-1) ...
Setting up libx11-6 (1.0.3-0ubuntu4.1) ...
Setting up xutils (7.1.1ubuntu6.2) ...
Setting up fontconfig (2.3.2-7ubuntu2) ...
Updating font configuration of fontconfig...
Cleaning up category cid..
Cleaning up category truetype..
Cleaning up category type1..
Updating category type1..
Updating category truetype..
Updating category cid..
Regenerating fonts cache... done.

Well that looks better… still got:

Errors were encountered while processing: bzip2 synaptic python-vte xfce4-terminal

Still getting these errors:

Reading package lists... Done
Building dependency tree... Done
bzip2 is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
4 not fully installed or removed.
Need to get 0B of archives.
After unpacking 0B of additional disk space will be used.
Setting up bzip2 (1.0.3-3) ...
Error in `/usr/share/doc-base/bzip2', line 19: `Index' value missing for format info
dpkg: error processing bzip2 (--configure): subprocess post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of ubuntu-minimal: ubuntu-minimal depends on bzip2; however:  Package bzip2 is not configured yet.
dpkg: error processing ubuntu-minimal (--configure): dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of linux-source-2.6.17: linux-source-2.6.17 depends on bzip2; however:  Package bzip2 is not configured yet.
dpkg: error processing linux-source-2.6.17 (--configure): dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of linux-source: linux-source depends on linux-source-2.6.17; however:  Package linux-source-2.6.17 is not configured yet.
dpkg: error processing linux-source (--configure): dependency problems - leaving unconfigured
Errors were encountered while processing: bzip2 ubuntu-minimal linux-source-2.6.17 linux-source
E: Sub-process /usr/bin/dpkg returned an error code (1)

So x windows fonts keep showing up as squares, not good. I’ve dpkg-reconfigured just about everything but still no luck. Grrr. I hate having to do it but I re-installed ubuntu 7.04.

¥